Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrFullTextSearch

    java.lang.Object
      org.modeshape.graph.query.model.FullTextSearch
          org.modeshape.jcr.query.qom.JcrFullTextSearch

All Implemented Interfaces:
  Serializable, FullTextSearch, Constraint, LanguageObject, Visitable, JcrConstraint

    public class JcrFullTextSearch

extends FullTextSearch
implements FullTextSearch, JcrConstraint

Implementation of the full-text search constraint for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.query.model.FullTextSearch
`FullTextSearch.CompoundTerm, FullTextSearch.Conjunction, FullTextSearch.Disjunction, FullTextSearch.NegationTerm, FullTextSearch.SimpleTerm, FullTextSearch.Term`

Constructor Summary
`JcrFullTextSearch(SelectorName selectorName, String propertyName, StaticOperand fullTextSearchExpression)` Create a constraint defining a full-text search against the property values on node within the search scope.
`JcrFullTextSearch(SelectorName selectorName, String propertyName, String fullTextSearchExpression, FullTextSearch.Term term)` Create a constraint defining a full-text search against the property values on node within the search scope.

Method Summary
`StaticOperand` | `getFullTextSearchExpression()`
`String` | `getPropertyName()`
`String` | `getSelectorName()`
`protected static String` | `toString(StaticOperand operand)`

Methods inherited from class org.modeshape.graph.query.model.FullTextSearch
`accept, equals, fullTextSearchExpression, getTerm, hashCode, propertyName, selectorName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrFullTextSearch

    public JcrFullTextSearch(SelectorName selectorName,
                             String propertyName,
                             StaticOperand fullTextSearchExpression)
                      throws RepositoryException

  Create a constraint defining a full-text search against the property values on node within the search scope.

  Parameters:
    `selectorName` - the name of the node selector defining the search scope
    `propertyName` - the name of the property to be searched; may be null if all property values are to be searched
    `fullTextSearchExpression` - the search expression
  Throws:
    `RepositoryException` - if there is an error converting the full text search expression to a string

### JcrFullTextSearch

    public JcrFullTextSearch(SelectorName selectorName,
                             String propertyName,
                             String fullTextSearchExpression,
                             FullTextSearch.Term term)

  Create a constraint defining a full-text search against the property values on node within the search scope.

  Parameters:
    `selectorName` - the name of the node selector defining the search scope
    `propertyName` - the name of the property to be searched; may be null if all property values are to be searched
    `fullTextSearchExpression` - the search expression
    `term` - the term, if known; may be null if the term representation is to be computed

Method Detail

### toString

    protected static String toString(StaticOperand operand)
                              throws RepositoryException

  Throws:
    `RepositoryException`

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `FullTextSearch`
  See Also:
    `PropertyValue.getPropertyName()`

### getFullTextSearchExpression

    public StaticOperand getFullTextSearchExpression()

  Specified by:
    `getFullTextSearchExpression` in interface `FullTextSearch`
  See Also:
    `FullTextSearch.getFullTextSearchExpression()`

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `FullTextSearch`
  See Also:
    `PropertyValue.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.